{% extends 'base.html' %}

{% load static %}
{% block style %}
<link rel="stylesheet" href="{% static 'css/blogDetails.css' %}">
{% endblock style%}

{%block content%}
<!-- Blog info -->
<section>
    <div class="container wrapper">
        <div class="row d-flex justify-content-center">
            <div class="col-md-8 d-flex justify-content-center title-col">
                <h1 class="title">{{blog.title}}</h1>
            </div>
        </div>

        <div class="row d-flex justify-content-center mt-4">
            <div class="col-md-8">
                <p>
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-person" viewBox="0 0 16 16">
                        <path d="M8 8a3 3 0 1 0 0-6 3 3 0 0 0 0 6zm2-3a2 2 0 1 1-4 0 2 2 0 0 1 4 0zm4 8c0 1-1 1-1 1H3s-1 0-1-1 1-4 6-4 6 3 6 4zm-1-.004c-.001-.246-.154-.986-.832-1.664C11.516 10.68 10.289 10 8 10c-2.29 0-3.516.68-4.168 1.332-.678.678-.83 1.418-.832 1.664h10z"/>
                    </svg>
                    {{blog.author}}
                </p>         
            </div>
            <div class="col-md-8">
                <p>
                    <svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-calendar" viewBox="0 0 16 16">
                        <path d="M3.5 0a.5.5 0 0 1 .5.5V1h8V.5a.5.5 0 0 1 1 0V1h1a2 2 0 0 1 2 2v11a2 2 0 0 1-2 2H2a2 2 0 0 1-2-2V3a2 2 0 0 1 2-2h1V.5a.5.5 0 0 1 .5-.5zM1 4v10a1 1 0 0 0 1 1h12a1 1 0 0 0 1-1V4H1z"/>
                    </svg>
                    {{blog.post_date}} 
                </p>
            </div>
            
        </div>
    </div>
</section>
<!-- end of blog info -->

<!-- blog body (content) -->
<div class="container">
    <div class="row d-flex justify-content-center">
        <div class="col-md-8 blog-body">
            {{blog.body|safe}}
        </div>
        {% if user.is_authenticated and editAccess%}
        <div class="col-md-8 d-flex flex-row-reverse">
                <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" fill="currentColor" class="bi bi-pencil-square" viewBox="0 0 16 16">
                    <path d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>
                    <path fill-rule="evenodd" d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>
                </svg> 
                <a href="{% url 'editPost' blog.id %}" class="mr-2" style="color:black; font-weight:bold">
                    edit
                </a>
        </div>
        <div class="col-md-8 d-flex flex-row-reverse mt-4">
                <svg xmlns="http://www.w3.org/2000/svg" width="30" height="30" fill="currentColor" class="bi bi-trash-fill" viewBox="0 0 16 16">
                    <path d="M2.5 1a1 1 0 0 0-1 1v1a1 1 0 0 0 1 1H3v9a2 2 0 0 0 2 2h6a2 2 0 0 0 2-2V4h.5a1 1 0 0 0 1-1V2a1 1 0 0 0-1-1H10a1 1 0 0 0-1-1H7a1 1 0 0 0-1 1H2.5zm3 4a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7a.5.5 0 0 1 .5-.5zM8 5a.5.5 0 0 1 .5.5v7a.5.5 0 0 1-1 0v-7A.5.5 0 0 1 8 5zm3 .5v7a.5.5 0 0 1-1 0v-7a.5.5 0 0 1 1 0z"/>
                </svg> 
                <a href="{% url 'deletePost' blog.id %}" class="mr-2" style="color: black; font-weight:bold">
                    delete
                </a>
            {% endif %}
        </div>
    </div>
</div>
<!-- end of blog body -->

<!-- comment section -->
<section class="komentar">
    <div class="container">
        <div class="row header d-flex justify-content-center">
            <div class="col-md-8">
                <p>
                    COMMENTS
                </p>
            </div>
        </div>
    </div>
    
    <div class="container">
        <form class="postComment" method="POST">
            {% csrf_token %}
            <div class="row d-flex justify-content-center">
                <div class="col-md-8">
                    <div class="form-group">
                        <input id="nama" type="text" name="nama" class="form-control" placeholder="Enter Your Name">
                    </div>
                </div>
            </div>
            <div class="row d-flex justify-content-center">
                <div class="col-md-8">
                    <div class="form-group">
                        <textarea id="komentar" name="komentar" class="form-control" placeholder="Give your comment"></textarea>
                    </div>
                </div>
            </div>
            <div class="row d-flex justify-content-center">
                <div class="col-md-8 d-flex flex-row-reverse">
                    <div class="row">
                        <div class="col-md-12">
                            <button type="submit" class="btn btn-primary">Submit</button>
                        </div>
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div class="container list-komen">
    </div>
</section>
<!-- end of comment -->
{%endblock content%}

{%block script%}
<script src="{% static 'js/blogDetails.js'%}"></script>
{%endblock script%}